GEO-CODE(1)

NAME
geo-code

DESCRIPTION

  Usage:

    geo-code [options] address citystate_or_zip [country]

    Convert (geocode) a street address into a latitude/longitude.

    geo-code [options] tele-phone-number

    Convert (geocode) a phone number into a latitude/longitude.

    In either case, the output can be formatted to any of the output file types that gpsbabel supports, or directly imported into the GpsDrive MySQL waypoint database.

  Requires:

curl
    http://curl.haxx.se/

gpsbabel
    http://gpsbabel.sourceforge.net/

OPTIONS

-o format
    Output format, -o? for possibilities [gpsdrive] plus "gpsdrive.sql" for direct insertion into MySQL DB plus "latlon" for just Lat<tab>Long. plus "map" to display a map.

-n name
    The waypoint name, e.g. Bob's House. The default is the street address.

-s  Output shortened names (a gpsbabel option)

-t type
    The waypoint type, e.g. house, cache, bar [new]

-q  Quiet. Do not output address confirmation on stderr.

-S  Alias for -o gpsdrive.sql

-a  For SQL, delete existing record only if it matches all fields. Otherwise, delete it if it matches just the name and the type.

-D level
    Debug level

-U  Retrieve latest version of this script

  Countries:

    us, ca, fr, de, it, es, uk

EXAMPLES

    $ geo-code "123 AnyStreet" 12345

    123AnyStreet 42.81020 -73.95070 new

    $ geo-code -t house "123 AnyStreet" 12345

    123AnyStreet 42.81020 -73.95070 house

    $ geo-code -n "Bob's House" -t house "123 AnyStreet" 12345

    BobsHouse 42.81020 -73.95070 house

    $ geo-code -S -n "Bob" -t house "123 AnyStreet" 12345

    [waypoint is added to GpsDrive MySQL database]

    $ geo-code 901-555-1212

    123AnyStreet 42.81020 -73.95070 new

SEE ALSO

geo-nearest
    http://home.mn.rr.com/richardsons/sw/geo-nearest

geo-pg
    http://home.mn.rr.com/richardsons/sw/geo-pg